Opening the iTunes Store.If iTunes doesn't open, click the iTunes application icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To buy and download ☺ A Virus Protection Mask ☻ by NORDPORTMEDIA, get iTunes now.

Already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC

☺ A Virus Protection Mask ☻


Open iTunes to buy and download apps.



Get it now and protect not only you (in real life) but also make your iPhone or iPod look like protecting it from having the flu with this new application!

With V.P.M. (Virus Protection Mask) for iPhone and iPod you can make your device look like it's covered with a real medical mask.
Your friends and workmates will ask you what happened to your iPhone while running this app in "standby"...

You can choose from 12 different colors - more to come (all updates included when purchased once!)

Have fun with this new smashing application!

And last but not least:
It's a really cool icon!
H1N1, swine flu, fun, funny, joke, mask, protection, protect, secure, virus, new, mallorca, malle

What's New in Version 1.6

- small bugfixes

iPhone Screenshot

iPhone Screenshot 1
iPhone Screenshot 2

Customer Reviews


I just got ripped off. This is a scam. You think you are buying a Virus Protection and the only thing you get is colored masks.


As soon as you buy it, it tells you it's just for fun! It doesn't protect against any virus!!

☺ A Virus Protection Mask ☻
View In iTunes
  • $0.99
  • Category: Lifestyle
  • Updated:
  • Version: 1.6
  • Size: 1.0 MB
  • Language: English
  • Seller:
You must be at least 17 years old to download this app.
  • Frequent/Intense Horror/Fear Themes
  • Frequent/Intense Mature/Suggestive Themes
  • Frequent/Intense Realistic Violence
  • Frequent/Intense Cartoon or Fantasy Violence

Compatibility: Requires iOS 2.2.1 or later. Compatible with iPhone, iPad, and iPod touch.

Customer Ratings

Current Version:
All Versions: